Bug 24535 - Missing line terminator chars (;)
: Missing line terminator chars (;)
Status: RESOLVED FIXED
: WebKit
WebCore JavaScript
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
: 27065
  Show dependency treegraph
 
Reported: 2009-03-11 19:05 PST by
Modified: 2009-07-14 11:42 PST (History)


Attachments
Proposed fix for bug 24535 (9.55 KB, patch)
2009-03-11 19:07 PST, Norbert Leser
no flags Review Patch | Details | Formatted Diff | Diff
Proposed fix for 24535 (10.13 KB, patch)
2009-03-13 10:15 PST, Norbert Leser
darin: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-03-11 19:05:03 PST
Various statements with macro calls, including in generated files, are missing missing line terminator character (;). This is ignored by most compilers but symbian compilers fail.

Patch will follow.
------- Comment #1 From 2009-03-11 19:07:29 PST -------
Created an attachment (id=28510) [details]
Proposed fix for bug 24535
------- Comment #2 From 2009-03-11 19:52:17 PST -------
These macros expand to code that already include the trailing semicolons.  Why is this change needed?
------- Comment #3 From 2009-03-12 00:02:24 PST -------
If we do this, we should arguably remove semicolons from macro definitions.
------- Comment #4 From 2009-03-12 08:02:07 PST -------
(In reply to comment #3)
> If we do this, we should arguably remove semicolons from macro definitions.
> 

I agree with your proposal - if it's just for the sake of consistency and cleanliness of the code.
In fact, as far as I can tell, the COMPILE_ASSERT macro in Assert.h is the only one that has an implicit ";"
It is common practice anyway to not have a trailing ";" in #define's

I'd be glad to update the patch with this change in Assert.h, if there's an agreement.
------- Comment #5 From 2009-03-12 08:26:35 PST -------
I think that would be nice as a cleanup patch, yes. It's extremely surprising that any compiler would choke on the current code though.
------- Comment #6 From 2009-03-13 10:15:59 PST -------
Created an attachment (id=28580) [details]
Proposed fix for 24535 

I added Assertions.h (removal of trailing ";" from COMPILE_ASSERT macro definition) to this updated patch, as discussed.
Otherwise, unchanged to initial patch.
------- Comment #7 From 2009-03-13 10:18:23 PST -------
(From update of attachment 28580 [details])
Seems OK, r=me
------- Comment #8 From 2009-03-20 15:28:22 PST -------
Assigned to levin for landing.

Please add a link to the bug in the ChangeLog in the future and there is no need to leave this "WARNING: NO TEST CASES ADDED OR CHANGED" in the ChangeLog.
------- Comment #9 From 2009-03-20 16:56:37 PST -------
Committed as r41879.
------- Comment #10 From 2009-05-04 01:58:16 PST -------
(From update of attachment 28510 [details])
A later version of this was reviewed already.  Clearing review flag to remove from queue.